Package twisted :: Package coil :: Module web :: Class AppConfiguratorPage

[show private | hide private]
[frames | no frames]

## Class AppConfiguratorPage

      Widget --+
               |
    Presentation --+
                   |
                  AppConfiguratorPage

A web configuration interface for Twisted.

This configures the toplevel application.

Method Summary
| `__init__(self, application)`
| `addClassVars(self, namespace, Class)` (inherited from `Presentation`)
| `addVariables(self, namespace, request)` (inherited from `Presentation`)
| ``configWidget`(self, request)` Render the config part of the widget.
| ``display`(self, request)` Implement me to represent your widget. (inherited from `Presentation`)
| `displayTree(self, write, request)`
| `displayTreeElement(self, write, inName, inPath, collection, indentLevel)`
| `formatTraceback(self, tb)` (inherited from `Presentation`)
| `getTitle(self, request)` (inherited from `Widget`)
| ``makeConfigMenu`(self, interface)` Make a menu for adding a new object to a collection.
| ``makeConfigurable`(self, cfgInfo, container, name)` Create a new configurable to a container, based on input from web form.
| `pluginLoader(self)`
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| `reloadDispensers(self)`
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'. (inherited from `Presentation`)

Class Variable Summary
`int` | `isLeaf`
`str` | `template`

Method Details

### configWidget(self, request)

Render the config part of the widget.

### makeConfigMenu(self, interface)

Make a menu for adding a new object to a collection.

### makeConfigurable(self, cfgInfo, container, name)

Create a new configurable to a container, based on input from web form.

### prePresent(self, request)

Perform any tasks which must be done before presenting the page.

  Overrides:
    `twisted.web.widgets.Presentation.prePresent` (inherited documentation)

Class Variable Details

### isLeaf

  Type:
    `int`
  Value:

        1

### template

  Type:
    `str`
  Value:

        '''
            <center>
            <table width="95%">
            <tr><td width="20%" valign="top">%%%%self.streamCall(self.displayT\
        ree, request)%%%%</td>
            <td width="80%" valign="top">%%%%self.configd%%%%</td>
            </tr>
            <tr><td colspan="2">%%%%self.pluginLoader()%%%%</td></tr>
        ...

Generated by Epydoc 1.1 on Thu May 8 13:16:21 2003 | http://epydoc.sf.net